Upsert Categories
curl --request PUT \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [
{
"id": "<string>",
"name": "<string>",
"parentId": "CAT-434",
"path": "apparel_and_accessories.clothing.dresses",
"globalId": "CAT-12345",
"metadata": {
"description": "All drinks available in the marketplace.",
"globalName": "Beers",
"path": "Driks/Alcoholic/Beers",
"showInStore": true
}
}
]
}
'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/categories"
payload = { "categories": [
{
"id": "<string>",
"name": "<string>",
"parentId": "CAT-434",
"path": "apparel_and_accessories.clothing.dresses",
"globalId": "CAT-12345",
"metadata": {
"description": "All drinks available in the marketplace.",
"globalName": "Beers",
"path": "Driks/Alcoholic/Beers",
"showInStore": True
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categories: [
{
id: '<string>',
name: '<string>',
parentId: 'CAT-434',
path: 'apparel_and_accessories.clothing.dresses',
globalId: 'CAT-12345',
metadata: {
description: 'All drinks available in the marketplace.',
globalName: 'Beers',
path: 'Driks/Alcoholic/Beers',
showInStore: true
}
}
]
})
};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Catalog API
Upsert Categories
Create or replace one or more categories in the catalog.
PUT
/
public
/
v1
/
catalog-search-service
/
catalogs
/
categories
Upsert Categories
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Body
application/json
Categories to upsert. New categories will be created, and existing ones will be fully replaced with the provided data.
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I